%define name	basesystem
%define version	2
%define epoch	1
%define release	%mkrel 17

Summary:	The skeleton package which defines a simple Mageia Linux system
Name:		%{name}
Epoch:		%{epoch}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Base
Requires:	kernel basesystem-minimal
Suggests:	urpmi
Requires:	systemd
%ifnarch %arm %mips
Requires:	bootloader
%endif

%package minimal
Summary:	The skeleton package which defines a simple Mageia Linux system for chroot systems
Group:		System/Base

Requires:	setup filesystem sed initscripts kbd utempter
Requires:	chkconfig coreutils crontabs makedev
Requires:	e2fsprogs etcskel findutils grep gzip less
Requires:	logrotate mingetty net-tools passwd procps
Requires:	psmisc rootfiles rpm sash shadow-utils
Requires:	stat tar termcap time util-linux vim
Requires:	cronie which perl-base common-licenses
Requires:	kmod
Requires:	mageia-release >= 1
Conflicts:	setup <= 2.7.20-4.mga3

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

%package uml
Summary:	The skeleton package which defines a simple Mageia Linux system to be run under UML
Group:		System/Base
Requires:	basesystem-minimal
Requires:	systemd
Requires:	dhcp-client
Requires:	urpmi

%description
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description minimal
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description uml
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

This package can be used to setup a full and working system runned with
kernel-uml, using urpmi %{name}-uml  --root ...

%files
%files minimal
%files uml



%changelog
* Sat Nov 30 2013 tv <tv> 1:2-17.mga4
+ Revision: 554158
- requires instead of suggesting vim-minimal (mga#7019)

* Sat Oct 19 2013 umeabot <umeabot> 1:2-16.mga4
+ Revision: 523437
- Mageia 4 Mass Rebuild

* Mon Apr 22 2013 tv <tv> 1:2-15.mga3
+ Revision: 410771
- drop old shadow conversion in %%post as setup now package /etc/{g,}shadow

* Tue Apr 02 2013 dmorgan <dmorgan> 1:2-14.mga3
+ Revision: 407115
- Rebuild against fixed BS
- Move %%posttrans in minimal subpackage
- Rebuild with fixed BS

  + tv <tv>
    - move /etc/*shadow creation from setup here (mga#9326)

* Tue Mar 26 2013 colin <colin> 1:2-11.mga3
+ Revision: 405409
- Require system-logger rather than syslog-daemon mga#8028

* Fri Jan 11 2013 umeabot <umeabot> 1:2-10.mga3
+ Revision: 346871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 tv <tv> 1:2-9.mga3
+ Revision: 287220
- mount&loseteup requires are dup

* Tue Jun 12 2012 tv <tv> 1:2-8.mga3
+ Revision: 259958
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 1:2-7.mga3
+ Revision: 259280
- require kmod instead of module-init-tools

* Wed Jan 25 2012 tv <tv> 1:2-6.mga2
+ Revision: 200809
- suggest urpmi

* Mon Jan 16 2012 tmb <tmb> 1:2-5.mga2
+ Revision: 196772
- restore requires on systemd as it's needed for proper upgrade

* Sun Jan 15 2012 tmb <tmb> 1:2-4.mga2
+ Revision: 196536
- drop forced systemd as sysvinit/initscripts will be supported in Mageia 2
- drop buildroot

* Sat Sep 17 2011 tv <tv> 1:2-3.mga2
+ Revision: 144415
- suggests vim instead of requiring it

* Sat Sep 17 2011 tv <tv> 1:2-2.mga2
+ Revision: 144386
- still require base systemd

* Wed Sep 14 2011 tv <tv> 1:2-1.mga2
+ Revision: 143461
- bump version
- requires sysvinit instead of systemd-sysvinit so that we got choice through
  kernel command line

* Tue Sep 13 2011 tv <tv> 1:1-4.mga2
+ Revision: 143068
- require systemd-sysvinit instead of sysvinit in order to got more testing
- move syslog-daemon & sysvinit requires from basesystem-minimal into
  basesystem & basesystem-uml (uneeded for building packages & the like)

* Tue Apr 12 2011 dmorgan <dmorgan> 1:1-3.mga1
+ Revision: 83504
- Fix Requires on cronie

  + rtp <rtp>
    - disable for now bootloader require on arm/mips

* Mon Jan 17 2011 pterjan <pterjan> 1:1-2.mga1
+ Revision: 21169
- Set Epoch tag
- Revert, Epoch 1 is enough already, but bs ignore it
- Increase Epoch to be higher than Mandriva version

  + blino <blino>
    - require makedev instead of dev

  + tmb <tmb>
    - imported package basesystem

